> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List All

> List all available mailing lists. Returns a paginated list of mailing lists.



## OpenAPI

````yaml get /mailing-lists/
openapi: 3.1.0
info:
  title: thanks.io API
  description: >-
    Use the thanks.io API to send postcards, letters, notecards, windowless
    letters, and gift cards.
  contact:
    url: https://www.thanks.io
    email: support@thanks.io
  version: 1.0.0
servers:
  - url: https://api.thanks.io/api/v2
    description: The main API server for thanks.io
security:
  - bearerAuth: []
tags:
  - name: Recipients
  - name: Mailing Lists
  - name: Send Mailer
  - name: Orders
  - name: Message Templates
  - name: Image Templates
  - name: Handwriting Styles
  - name: Giftcards
  - name: Dynamic Images
    description: ''
  - name: Image Builder
  - name: Sub Accounts
externalDocs:
  description: Learn more about thanks.io
  url: https://docs.thanks.io
paths:
  /mailing-lists/:
    get:
      tags:
        - Mailing Lists
      summary: List All
      description: >-
        List all available mailing lists. Returns a paginated list of mailing
        lists.
      operationId: getMailingLists
      parameters:
        - $ref: '#/components/parameters/items_per_page'
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/mailing-list'
                  links:
                    $ref: '#/components/schemas/links'
                  meta:
                    $ref: '#/components/schemas/meta'
              example:
                data:
                  - id: 3019
                    user_id: 2
                    sub_account_id: null
                    type: manual
                    description: Test Mailing List
                    qrcode_url: null
                    total_recipients: 0
                    processed: true
                    is_suppression_list: false
                    total_scans: 0
                    unique_scans: 0
                    last_scan: null
                    total_sends: 0
                    last_send: null
                    api_key: TEST-KEY1
                    created_at: '2025-08-06T01:06:52.000000Z'
                    created_at_diff: 13 hours ago
                    updated_at: '2025-08-06T01:06:52.000000Z'
                  - id: 3017
                    user_id: 2
                    sub_account_id: null
                    type: csv
                    description: Mailing List (Csv) Created 07/16/2025
                    qrcode_url: null
                    total_recipients: 0
                    processed: false
                    is_suppression_list: false
                    total_scans: 0
                    unique_scans: 0
                    last_scan: null
                    total_sends: 0
                    last_send: null
                    api_key: TEST-KEY2
                    created_at: '2025-07-16T19:00:31.000000Z'
                    created_at_diff: 2 weeks ago
                    updated_at: '2025-07-16T19:00:31.000000Z'
                links:
                  first: https://api.thanks.io/api/v2/mailing-lists?page=1
                  last: https://api.thanks.io/api/v2/mailing-lists?page=377
                  prev: null
                  next: https://api.thanks.io/api/v2/mailing-lists?page=2
                meta:
                  current_page: 1
                  from: 1
                  last_page: 377
                  path: https://api.thanks.io/api/v2/mailing-lists
                  per_page: '2'
                  to: 2
                  total: 754
        '403':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    items_per_page:
      name: items_per_page
      in: query
      description: Number of items to return per page.
      required: false
      schema:
        type: integer
        default: 25
      example: 5
  schemas:
    mailing-list:
      type: object
      properties:
        id:
          type: integer
          example: 1
        user_id:
          type: integer
          example: 2
        sub_account_id:
          type:
            - integer
            - 'null'
        type:
          type: string
          example: manual
          enum:
            - csv
            - manual
            - map
            - friends
            - retarget
            - leads
            - zapier
            - radius
            - highlevel
            - qrscans
        description:
          type: string
          example: Test
        qrcode_url:
          type:
            - string
            - 'null'
        total_recipients:
          type: integer
          example: 1
        processed:
          type: boolean
          example: true
        is_suppression_list:
          type: boolean
          example: false
        total_scans:
          type: integer
          example: 0
        unique_scans:
          type: integer
          example: 0
        last_scan:
          type:
            - string
            - 'null'
        total_sends:
          type: integer
          example: 0
        last_send:
          type:
            - string
            - 'null'
        api_key:
          type: string
          description: >-
            API key that can be used to add recipients to this mailing list with
            thanks.io Webhooks
          example: abcd1234efgh5678ijkl9012mnop3456
        created_at:
          type: string
          example: '2018-07-15T06:06:57.000000Z'
          format: date-time
        created_at_diff:
          type: string
          example: 6 years ago
          description: Human-friendly relative time since creation
        updated_at:
          type: string
          example: '2025-06-27T14:57:11.000000Z'
          format: date-time
    links:
      type: object
      properties:
        first:
          type:
            - string
            - 'null'
          description: URL of the first page of results
        last:
          type:
            - string
            - 'null'
          description: URL of the last page of results
        prev:
          type:
            - string
            - 'null'
          description: URL of the previous page of results
        next:
          type:
            - string
            - 'null'
          description: URL of the next page of results
    meta:
      type: object
      properties:
        current_page:
          type: integer
          example: 1
          description: Current page number
        from:
          type:
            - integer
            - 'null'
          example: 1
          description: Index of the first item on the current page
        last_page:
          type: integer
          example: 1
          description: Total number of pages
        path:
          type: string
          description: Base URL for the resource
        per_page:
          type: integer
          example: 25
          description: Number of items per page
        to:
          type:
            - integer
            - 'null'
          example: 1
          description: Index of the last item on the current page
        total:
          type: integer
          example: 1
          description: Total number of items
  responses:
    Unauthorized:
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication using your thanks.io API key

````